Introduction
Changelog
Usage
Authentication
Headers
Errors
Rate Limiting
Webhooks
OAuth 2.0
User
Devices
Aggregation
Bills
Budgets
Challenges
CDR
Configuration
Contacts
Events
Goals
Messages
Pay Day
Reports
Surveys
Calculators
Images
Financial Passport
Users
Accounts
Transactions
post

/payments/bpay

payment_date:Can be up to 14 days in advance of today

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

7 Headers

Request Body

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
biller_code
string

BPAY Biller Code

required
crn
string

BPAY Customer Reference Number

required
amount
string

Amount to send to the biller

required
source_account_id
integer

ID of the account the payment should be made from

3 validations + required
reference
string

Transaction reference for the payer’s details

Responses

Schema
object
$schema: http://json-schema.org/draft-04/schema#
amount
string

Amount paid to the biller

required
payment_date
string

The date the payment was made.

required
biller_code
string

BPAY Biller Code

biller_name
string

BPAY Biller Name

crn
string

BPAY Customer Reference Number

source_account_id
integer

ID of the account the payment was made from

3 validations + required
source_account_name
string

Name of the account the payment was made from

required
reference
string

Biller’s reference to identify the payment

transaction_reference
string

Transaction reference for the payer’s details

required
status
string

BPAY Payment status

  • confirmed - Payment has been made and confirmed
  • pending - Pending payment that has been made but not confirmed yet
1 validation + required

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
$$.env
1 variable not set
Authorization